Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87406 - Deleting a lifecycle causes a CCM Error
Summary: Deleting a lifecycle causes a CCM Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 18:06 UTC by Jon Orris
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 04:16:55 UTC


Attachments (Terms of Use)

Description Jon Orris 2003-03-26 18:06:29 UTC
@28953
Description of problem:

If you click on 'Delete lifecycle' in lifecycle details, the system returns a
CCM Error. The lifecycle is not deleted.

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: goodeats.boston.redhat.com:8080:1326c680:f42b7dfeb9

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:1326c680:f42b7dfeb9 -*-*-*-
-*-*-*- Message: Could not retrieve a DataObject with OID =
[com.arsdigita.cms.LifecycleDefinition:{id=8004}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 385
Content-Type: application/x-www-form-urlencoded
Cookie: ad_user_login=3008!1143223197639!wsNitCb/X2jT/MG5Zvfvng==;
JSESSIONID=aP6ZK2VszCz5
Host: goodeats.boston.redhat.com:8080
Keep-Alive: 300
Referer:
http://goodeats.boston.redhat.com:8080/ccm/articles/admin/index.jsp?bbp.327.stk=0&bbp.602.stk=0&bbp.706.d=asc&bbp.677.stk=0&bbp.221.stk=2&bbp.347.stk=0&bbp.486.sel=8004&bbp.489.stk=0&bbp.80.ps=20&bbp.s=496&bbp.i=bnklg146oco3zir1lakab6tejk6f8tgsxdrj6k0&bbp.3.pane=4&bbp.675.stk=0&bbp.4.folder=2&bbp.329.stk=0&bbp.604.stk=0&bbp.487.stk=%5E0%5E2%5E1&bbp.251.stk=0&g11n.enc=ISO-8859-1
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

-*-*-*- Section: Cookies -*-*-*-
ad_user_login: 3008!1143223197639!wsNitCb/X2jT/MG5Zvfvng== (expires: -1)
JSESSIONID: aP6ZK2VszCz5 (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.domain.DataObjectNotFoundException: Could not retrieve a
DataObject with OID = [com.arsdigita.cms.LifecycleDefinition:{id=8004}]
	at com.arsdigita.domain.DomainObject.(DomainObject.java:129)
	at com.arsdigita.domain.ObservableDomainObject.(ObservableDomainObject.java:98)
	at com.arsdigita.kernel.ACSObject.(ACSObject.java:161)
	at com.arsdigita.cms.lifecycle.LifecycleDefinition.(LifecycleDefinition.java:70)
	at com.arsdigita.cms.lifecycle.LifecycleDefinition.(LifecycleDefinition.java:82)
	at
com.arsdigita.cms.ui.lifecycle.LifecycleAdminPane$SelectionRequestLocal.initialValue(LifecycleAdminPane.java:84)
	at com.arsdigita.bebop.RequestLocal.get(RequestLocal.java:122)
	at
com.arsdigita.cms.ui.lifecycle.LifecycleDefinitionRequestLocal.getLifecycleDefinition(LifecycleDefinitionRequestLocal.java:43)
	at
com.arsdigita.cms.ui.lifecycle.LifecycleItemPane$SummarySection$Properties.properties(LifecycleItemPane.java:120)
	at com.arsdigita.toolbox.ui.PropertyList.generateXML(PropertyList.java:64)
	at com.arsdigita.toolbox.ui.ActionGroup.generateXML(ActionGroup.java:92)
	at com.arsdigita.toolbox.ui.Section.generateXML(Section.java:121)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:243)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:120)
	at com.arsdigita.toolbox.ui.ModalPanel.generateXML(ModalPanel.java:120)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:112)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:100)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:243)
	at com.arsdigita.bebop.Page.generateXML(Page.java:639)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:241)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:249)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:232)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Comment 1 Justin Ross 2003-04-03 17:38:29 UTC
Fixed in perforce change 29402.


Note You need to log in before you can comment on or make changes to this bug.